#ifndef CONFIG_H
#define CONFIG_H

#include "stralloc.h"

typedef struct {
  stralloc sa;
  int flagconf;
} config_str;

#define CONFIG_STR {{0},0}

#define config(c) ((c)->flagconf)
#define config_data(c) (&((c)->sa))

extern int config_default(config_str *,char *);
extern int config_copy(config_str *,config_str *);
extern int config_env(config_str *,char *);
extern int config_readline(config_str *,char *);
extern int config_readfile(config_str *,char *);

#endif
